/*
 * poposliders - v1.0.0 - 2015-06-10
 * http://po-po.github.io/
 *
 * Copyright (c) 2015 popo;
 * Licensed under the MIT license
 */
(function ($) {
  $.fn.poposlides = function (options) {

    var settings = $.extend({
      auto: true,
      nav: false,
      playspeed: 3500,
      fadespeed: 500,
      loop: true,
      pagination: false,
      pagecenter: true,
      prev: ".prev",
      next: ".next"
    }, options);

    return this.each(function () {

      var $this = $(this),
          slide = $this.children(),
          index = 0;
          len = slide.length - 1,
          slideWidth = $this.width(),
          prev = settings.prev,
          next = settings.next;
      
      // if ($('.icon').css('display')=="none") {
        if(screen.width>767){
        
          slide.eq(index).fadeIn(settings.fadespeed).css({
            "z-index": "1"
          });
          slide.addClass('bg');
        }
      // } 

      slideFadeIn = function () {
          slide.fadeOut(settings.fadespeed).css({
            "z-index": "0",
          });
          slide.eq(index).fadeIn(settings.fadespeed).css({
            "z-index": "1",
          });
          slide.addClass('bg');

      };
      slideAdd = function () {
        if (settings.loop) {
          index == len ? index = 0 : index++;
        } else {
          index == len ? index = len : index++;
        };
        slideFadeIn();
      };
      slideMinus = function () {
        if (settings.loop) {
          index == 0 ? index = len : index--;
        } else {
          index == 0 ? index = 0 : index--;
        };
        slideFadeIn();
      };

      // if (settings.nav) {
      //   var navStr = "<a href='javascript:void(0)' class=" + prev.substring(1) + "></a>" +
      //     "<a href='javascript:void(0)' class=" + next.substring(1) + "></a>";
      //   $this.after(navStr);

      //   $(next).click(function () {
      //     slideAdd();
      //   });

      //   $(prev).click(function () {
      //     slideMinus();
      //   })
      // };

      // if (settings.pagination) {
      //   // pagnation();
      //   $(prev).click(function () {
      //     pageActive();
      //   });
      //   $(next).click(function () {
      //     pageActive();
      //   });

      //   $(".pagination li").click(function () {
      //     var idx = $(this).index() - 1;
      //     index = idx;
      //     slideAdd();
      //     pageActive();
      //   });
      // };

      if (settings.pagecenter) {
        var pw = $(".pagination").width();
        $(".pagination").css({
          "position": "absolute",
          "left": "50%",
          "bottom": "5px",
          "margin-left": -pw / 2,
          "z-index": "99"
        })
      };

      // if (settings.auto && $('.icon').css('display')=="none" ) {
      if (settings.auto && screen.width>767 ) {
        
        var startTime = new Date().getTime();
        window.play = setInterval(function () {
          // if(new Date().getTime() - startTime > 120000){

          //   clearInterval(window.play);
          //   console.log("2 minutes over!");
          //   return;
          // }
          slideAdd();
          
        }, settings.playspeed);

      };

    });
  };

})(jQuery);