(function () {
  function initAction() {
    var banner = $("#ph-background");
    var contentSection = $("#section-2");

    // contentSection.css("margin-top", banner.height() + "px");
    
    if($(".slides").length!=0){
      $(".slides").poposlides({

        // autoplay
        auto:true, 
        // display navigation
        nav:false,
        // autoplay interval
        playspeed:3500, 
        // animation speed
        fadespeed:500, 
        // endless looping
        loop:true,
        // enable pagination
        pagination:false, 
        // center the pagination
        pagecenter:true, 
        // CSS selector for prev button
        prev:".prev", 
        // CSS selector for next button
        next:".next" 

      });
    }

  }

  $(document)
    .ready(function () {
      var index7_flag = true;
      var mobile_extra_top = 0;
      if(screen.width > 992){
        var pathD6 = 'M 480 10 L 480 40 L 80 40 L 80 20 L 70 20 L 80 10 L 90 20 L 80 20';
        var pathD7 = 'M 30 40 L 30 10 L 330 10 L 330 40';
        var pathD8 = 'M 80 40 L 80 10 L 480 10 L 480 40';
      }
      else if(screen.width > 767){
        var pathD6 = 'M 370 10 L 370 40 L 40 40 L 40 20 L 30 20 L 40 10 L 50 20 L 40 20';
        var pathD7 = 'M 10 40 L 10 10 L 240 10 L 240 40';
        var pathD8 = 'M 40 40 L 40 10 L 370 10 L 370 40';
        $("#svg_ele, #svg_ele2").width(400);
        $("#svg_ele1").width(260);
      }
      else if(screen.width <= 767){
        var pathD6 = 'M 0 630 L 30 630 L 30 380 L 10 380 L 10 390 L 0 380 L 10 370 L 10 380';
        // var pathD6 = 'M 0 685 L 30 685 L 30 430 L 10 430 L 10 440 L 0 430 L 10 420 L 10 430';
        var mobile_extra_top = -30;
        // var pathD7 = 'M 10 40 L 10 10 L 240 10 L 240 40';
        // var pathD8 = 'M 40 40 L 40 10 L 370 10 L 370 40';
        $("#svg_ele").width(40);
        $("#svg_ele").height(700);
        $("#svg_ele").css({"right": "5px", "position": "absolute"});
        // $("#svg_ele1").width(260);

        $(".icon, .mobile_overlay").click(function () {
          $('.icon').toggleClass('on');
          $("body").toggleClass("no-scroll");
          $("header").toggleClass("open-nav");
          $('.mobile_overlay').toggleClass('show_overlay');
        });  

        $('#hp-bdy-opp2-btn').on('scrollSpy:enter', function() {
          if(index7_flag){
            var s = $(window).scrollTop();
            animation.process_mobile(s, pathD6);
            index7_flag = false;
          }
        });
        $('#hp-bdy-opp2-btn').scrollSpy();  
      }
      // window.pathD = pathD;

      initAction();  

      // wow = new WOW();
      // wow.init();

      //new website code
      
      $('.press_carousal').slick({
            slidesToShow: 6,
            slidesToScroll: 1,
            dots:false,
            arrows: false,
            // centerMode: true, 
            focusOnSelect: false,
            /* initialSlide:4, */
            autoplay: true,
            autoplaySpeed: 0,
            speed:5000,
            cssEase:'linear', 
            pauseOnHover:true,
            /* infinite:true, */ 
            responsive:[
              {
                breakpoint: 768,
                settings:{
                  // centerMode: false,
                  slidesToShow: 2,
                  slidesToScroll: 1
                }
              }
            ]
          });

      // $('.z-smart-grid-new').slick({
      //   slidesToShow: 3,
      //   slidesToScroll: 1,
      //   asNavFor: '.tab-content-featured',
      //   dots:true,
      //   centerMode: true, 
      //   focusOnSelect: true,
      //   /* initialSlide:4, */
      //   /* autoplay: true,
      //   autoplaySpeed: 4000, */
      //   /* infinite:true, */ 
      //   responsive:[
      //     {
      //       breakpoint: 768,
      //       settings:{
      //         centerMode: false,
      //         slidesToShow: 1,
      //         slidesToScroll: 1
      //       }
      //     }
      //   ]
      // });
      // $('.tab-content-featured').slick({
      //   slidesToShow: 1,
      //   slidesToScroll: 1,
      //   arrows: false,
      //   fade: true,
      //   asNavFor: '.z-smart-grid-new'
      // }); 

      // $('.str_carousel').slick({
      //   infinite: false,
      //   speed: 2000,
      //   slidesToShow: 5,
      //   slidesToScroll: 5
      // });

      if(screen.width>767){

        $('.hero_scroll').click(function(){
          // $.fn.fullpage.moveSectionDown();
          var next = $('#section-2');
          $('body, html').animate({
            scrollTop: next.offset().top + mobile_extra_top
          },{
            duration: 1000
          });
        });

        $('#hp-bdy-opp2-btn').on('scrollSpy:enter', function() {
          if(index7_flag){
            var s = $(window).scrollTop();
            animation.process(s, pathD6, pathD7, pathD8);
            index7_flag = false;
          }
        });
        $('#hp-bdy-opp2-btn').scrollSpy();  

        $('.hero_scroll').on('scrollSpy:enter', function() {
            $('header').css({"background-color":"rgba(49,65,81,0.6)"});
        });
        $('.hero_scroll').on('scrollSpy:exit', function() {
            $('header').css({"background-color":"rgba(49,65,81,1)"});
        });
        $('.hero_scroll').scrollSpy(); 
        
        //fullpage.js code
        // $('#fullpage').fullpage({
        //   // sectionsColor: ['#1bbc9b', '#4BBFC3', '#7BAABE', 'whitesmoke', '#ccddff'],
        //   // anchors:['firstPage', 'secondPage', 'thirdPage', 'fourthPage', 'fifthPage'],
        //   scrollBar: true,
        //   // scrollOverflow: true,
        //   responsiveWidth: 767,
        //   scrollingSpeed: 1000,
        //   onLeave: function(index, nextIndex, direction){
        //     if(screen.width > 767){
        //       if(index==1 && direction=="down"){
        //         $('header').css({"background-color":"rgba(49,65,81,1)"});
        //       }
        //       else if(index==2 && direction=="up"){
        //         // $('header').css({"background-color":"rgba(49,65,81,0.5)"});
        //         $('header').css({"background-color":"rgba(0,0,0,0.6)"});
        //       }  
        //     }
        //     // else if(screen.width <= 767){
        //     //   if(index==1 && direction=="down"){
        //     //     // $('.navbar_header').css({"background-color":"transparent"});
        //     //     $('.icon span').css({"background-color":"#13a8b4"});
        //     //   }
        //     //   else if(index==2 && direction=="up"){
        //     //     // $('.navbar_header').css({"background-color":"rgba(0, 0, 0, 0.7)"});
        //     //     $('.icon span').css({"background-color":"#ffffff"});
        //     //   }  
        //     // }
            
        //   },
        //   afterLoad: function(anchorLink, index){
        //     var s = $(window).scrollTop();
        //     animation.check(s);
        //     if(index==6 && index7_flag && screen.width > 767 ){
        //       animation.process(s, pathD6, pathD7, pathD8);
        //       index7_flag = false;
        //     }
        //     // else if (index==6 && index7_flag && screen.width <= 767 ) {
        //     //   animation.process_mobile(s, pathD6);
        //     //   index7_flag = false; 
        //     // }
        //   },
        //   afterRender: function(){
        //     new WOW().init();
        //   },
        // });

        

      }

      animation.init();
      

      // $('#btn-opp').on('scrollSpy:exit', function() {
      //   // $('header').css({"background-color":"rgba(106,106,106, 1)"});
      //   $('#btn-opp').removeClass("btn_animate");
      // });
      
      // $("[data-s-animation]").each(function() {
      //     animation.complete($(this).data("s-animation"));
      // });

      // if($(window).scrollTop() > 50) {
      //   $('header').css({"background-color":"rgba(106,106,106, 1)"});
      // } else {
      //   //remove the background property so it comes transparent again (defined in your css)
      //   $('header').css({"background-color":"rgba(106,106,106, 0.5)"});
      // }
      

      $('.btn-round-lg').click(function(e){
        
        if(e.target.id == "hp-bnr-so-btn"){
          var next = $('#section-3');
          $('body, html').animate({
            scrollTop: next.offset().top + mobile_extra_top
          },{
            duration: 1000
          });
        }
        else if(e.target.id == "hp-bnr-opp-btn"){
          var next = $('#section-5');
          $('body, html').animate({
            scrollTop: next.offset().top + mobile_extra_top
          },{
            duration: 1000
          });
        }
        else if(e.target.id == "hp-bnr-how-btn"){
          var next = $('#section-4');
          $('body, html').animate({
            scrollTop: next.offset().top + mobile_extra_top
          },{
            duration: 1000
          });
        }

      });

      //display none before loading the script
      $("#loading-mask").css({"display":"none"});

    })


    var animation = {
        options: {
            offset: 0
        },
        init: function() {
            var s = $(window).scrollTop();
            animation.options.offset = $(window).height() * 1.1;
            animation.check(s);
            // animation.process(s);
            animation.events();
        },
        check: function(s) {
            $("[data-animation]").each(function() {
                var $el = $(this);
                var offset = $el.offset().top;
                if (offset <= s + animation.options.offset) {
                    $(this).attr("data-animation-complete", "");
                }
            });
        },
        callAnimate: function(className, s) {
          var $el = $(className);
          var offset = $el.offset().top;
          if (offset <= s + animation.options.offset) {
              $el.attr("data-animation-complete", "");
          }
        },
        process: function(s, pathD6, pathD7, pathD8) {
            animation.callAnimate(".process1", s);
            setTimeout(function() {
                animation.callAnimate(".process2", s);
                setTimeout(function() {
                    animation.callAnimate(".process3", s);
                    setTimeout(function() {
                        animation.callAnimate(".process4", s);
                        setTimeout(function() {
                            animation.callAnimate(".process5", s);
                            setTimeout(function() {
                              animation.callAnimate(".process7", s);
                              $(".Process6").attr("d",pathD6);
                              $(".Process7").attr("d",pathD7);
                              $(".Process8").attr("d",pathD8);
                              $(".Process6, .Process7, .Process8").addClass("process6");
                            }, 500);
                        }, 500);
                    }, 500);
                }, 500);
            }, 500);
        },
        process_mobile: function(s, pathD6) {
          // setTimeout(function() {
            $(".Process6").attr("d",pathD6);
            $(".Process6").addClass("process6");
          // }, 1000);
        },
        events: function() {
            $(window).on('scroll', function() {
                var s = $(window).scrollTop();
                animation.check(s);
            });
        },
        complete: function(name) {
            $('[data-s-animation="' + name + '"]').attr("data-animation-complete", "");
        }
    };

    // $("#ph-background").on('mousewheel DOMMouseScroll', function (e) {
      
    //   e.preventDefault();
    //   e.stopPropagation();
    //   var next = $('#section-2');
    //   var delta = e.originalEvent.detail < 0 || e.originalEvent.wheelDelta > 0 ? 1 : -1;
    //   if (delta < 0) {
      
    //         $('body, html').animate({
    //           scrollTop: next.offset().top
    //         },{
    //           duration: 800
    //         });
          
    //   }
    
    // });

    // $("#section-2").on('mousewheel DOMMouseScroll', function (e) {
      
    //   var delta = e.originalEvent.detail < 0 || e.originalEvent.wheelDelta > 0 ? 1 : -1;
    //   if (delta > 0) {
    //         var prev = $('#ph-background');
    //         $('body, html').animate({
    //           scrollTop: prev.offset().top
    //         },{
    //           duration: 800
    //         });
    //         e.preventDefault();
    //         e.stopPropagation();
    //   }

    // });
    
    // $(window).scroll(function(){
      
    //   if($(window).scrollTop() > 50) {
    //     $('header').css({"background-color":"rgba(106,106,106, 1)"});
    //   } else {
    //     //remove the background property so it comes transparent again (defined in your css)
    //     $('header').css({"background-color":"rgba(106,106,106, 0.5)"});
    //   }

    // });

    $(window).resize(function () {
      if($(".slides-box").length){
        clearInterval(window.play);
        initAction();
      }
      
    });
    
    $(window).blur(function () {
      if($(".slides-box").length){
        
        clearInterval(window.play);
        $('ul.ph_title_ul').children().fadeOut(50).css({
          "z-index": "0"
        });
      }
     
      
    });
    
    $(window).focus(function () {
      if($(".slides-box").length){
        clearInterval(window.play);
        initAction();
      }
      
    });

    

})();

